## pyside 1.0.3-1maemo2

=== tests/QtGui/CMakeLists.txt ===
#Keep this in alphabetical sort

PYSIDE_TEST(api2_test.py)
PYSIDE_TEST(add_action_test.py)
PYSIDE_TEST(bug_172.py)
PYSIDE_TEST(bug_243.py)
PYSIDE_TEST(bug_300_test.py)
PYSIDE_TEST(bug_307.py)
PYSIDE_TEST(bug_324.py)
PYSIDE_TEST(bug_338.py)
PYSIDE_TEST(bug_363.py)
PYSIDE_TEST(bug_367.py)
PYSIDE_TEST(bug_389.py)
PYSIDE_TEST(bug_400.py)
PYSIDE_TEST(bug_416.py)
PYSIDE_TEST(bug_429.py)
PYSIDE_TEST(bug_430.py)
PYSIDE_TEST(bug_433.py)
PYSIDE_TEST(bug_467.py)
PYSIDE_TEST(bug_480.py)
PYSIDE_TEST(bug_493.py)
PYSIDE_TEST(bug_500.py)
PYSIDE_TEST(bug_512.py)
PYSIDE_TEST(bug_525.py)
PYSIDE_TEST(bug_546.py)
PYSIDE_TEST(bug_547.py)
PYSIDE_TEST(bug_549.py)
PYSIDE_TEST(bug_569.py)
PYSIDE_TEST(bug_575.py)
PYSIDE_TEST(bug_576.py)
PYSIDE_TEST(bug_585.py)
PYSIDE_TEST(bug_589.py)
PYSIDE_TEST(bug_606.py)
PYSIDE_TEST(bug_617.py)
PYSIDE_TEST(bug_635.py)
PYSIDE_TEST(bug_640.py)
PYSIDE_TEST(bug_652.py)
PYSIDE_TEST(bug_653.py)
PYSIDE_TEST(bug_660.py)
PYSIDE_TEST(bug_662.py)
PYSIDE_TEST(bug_667.py)
PYSIDE_TEST(bug_668.py)
PYSIDE_TEST(bug_674.py)
PYSIDE_TEST(bug_675.py)
PYSIDE_TEST(bug_688.py)
PYSIDE_TEST(bug_696.py)
PYSIDE_TEST(bug_693.py)
PYSIDE_TEST(bug_714.py)
PYSIDE_TEST(bug_716.py)
PYSIDE_TEST(bug_722.py)
PYSIDE_TEST(bug_728.py)
PYSIDE_TEST(bug_736.py)
PYSIDE_TEST(bug_740.py)
PYSIDE_TEST(bug_743.py)
PYSIDE_TEST(bug_750.py)
PYSIDE_TEST(bug_778.py)
PYSIDE_TEST(bug_785.py)
PYSIDE_TEST(bug_793.py)
PYSIDE_TEST(bug_811.py)
PYSIDE_TEST(bug_834.py)
PYSIDE_TEST(bug_836.py)
PYSIDE_TEST(bug_844.py)
PYSIDE_TEST(bug_854.py)
PYSIDE_TEST(customproxywidget_test.py)
PYSIDE_TEST(deepcopy_test.py)
PYSIDE_TEST(float_to_int_implicit_conversion_test.py)
PYSIDE_TEST(grandparent_method_test.py)
PYSIDE_TEST(hashabletype_test.py)
PYSIDE_TEST(keep_reference_test.py)
PYSIDE_TEST(missing_symbols_test.py)
PYSIDE_TEST(paint_event_test.py)
PYSIDE_TEST(parent_method_test.py)
PYSIDE_TEST(pyside_reload_test.py)
PYSIDE_TEST(python_properties_test.py)
PYSIDE_TEST(qabstracttextdocumentlayout_test.py)
PYSIDE_TEST(qapplication_exit_segfault_test.py)
PYSIDE_TEST(qapplication_singleton_test.py)
PYSIDE_TEST(qapp_test.py)
PYSIDE_TEST(qbrush_test.py)
PYSIDE_TEST(qcolor_test.py)
PYSIDE_TEST(qcursor_test.py)
PYSIDE_TEST(qaction_test.py)
PYSIDE_TEST(qdatastream_gui_operators_test.py)
PYSIDE_TEST(qdynamic_signal.py)
PYSIDE_TEST(qfontdialog_test.py)
PYSIDE_TEST(qfontmetrics_test.py)
PYSIDE_TEST(qformlayout_test.py)
PYSIDE_TEST(qgraphicsitem_isblocked_test.py)
PYSIDE_TEST(qgraphicsitem_test.py)
PYSIDE_TEST(qgraphicsproxywidget_test.py)
PYSIDE_TEST(qgraphicsscene_test.py)
PYSIDE_TEST(qimage_test.py)
PYSIDE_TEST(qinputcontext_test.py)
PYSIDE_TEST(qinputdialog_get_test.py)
PYSIDE_TEST(qitemselection_test.py)
PYSIDE_TEST(qlayout_ref_test.py)
PYSIDE_TEST(qlayout_test.py)
PYSIDE_TEST(qlcdnumber_test.py)
PYSIDE_TEST(qlistwidget_test.py)
PYSIDE_TEST(qlistwidgetitem_test.py)
PYSIDE_TEST(qmainwindow_test.py)
PYSIDE_TEST(qmatrix_test.py)
PYSIDE_TEST(qmenuadd_test.py)
PYSIDE_TEST(qmenu_test.py)
PYSIDE_TEST(qobject_mi_test.py)
PYSIDE_TEST(qpainter_test.py)
PYSIDE_TEST(qpen_test.py)
PYSIDE_TEST(qpicture_test.py)
PYSIDE_TEST(qpixmap_test.py)
PYSIDE_TEST(qpixmap_constructor.py)
PYSIDE_TEST(qpixmapcache_test.py)
PYSIDE_TEST(qpolygonf_test.py)
PYSIDE_TEST(qpushbutton_test.py)
PYSIDE_TEST(qkeysequence_test.py)
PYSIDE_TEST(qradialgradient_test.py)
PYSIDE_TEST(qregion_test.py)
PYSIDE_TEST(qshortcut_test.py)
PYSIDE_TEST(qsplitter_test.py)
PYSIDE_TEST(qstandarditemmodel_test.py)
PYSIDE_TEST(qstring_qkeysequence_test.py)
PYSIDE_TEST(qstyle_test.py)
PYSIDE_TEST(qtableview_test.py)
PYSIDE_TEST(qtabwidget_test.py)
PYSIDE_TEST(qtextdocument_undoredo_test.py)
PYSIDE_TEST(qtextedit_test.py)
PYSIDE_TEST(qtextedit_signal_test.py)
PYSIDE_TEST(qtextline_test.py)
PYSIDE_TEST(qtoolbar_test.py)
PYSIDE_TEST(qtoolbox_test.py)
PYSIDE_TEST(qtransform_test.py)
PYSIDE_TEST(qvariant_test.py)
PYSIDE_TEST(qvalidator_test.py)
PYSIDE_TEST(qwidget_setlayout_test.py)
PYSIDE_TEST(qwidget_test.py)
PYSIDE_TEST(reference_count_test.py)
PYSIDE_TEST(repr_test.py)
PYSIDE_TEST(returnquadruplesofnumbers_test.py)
PYSIDE_TEST(standardpixmap_test.py)
PYSIDE_TEST(timed_app_test.py)
PYSIDE_TEST(virtual_protected_inheritance_test.py)
PYSIDE_TEST(virtual_pure_override_test.py)
PYSIDE_TEST(wrong_return_test.py)


if(X11)
    PYSIDE_TEST(x11_symbols_test.py)
endif()

=== debian/changelog ===
pyside (1.0.3-1maemo2) unstable; urgency=low

  * Update debian/rules

 -- Willer Moreira <willer.moreira@indt.org.br>  Mon, 02 Jun 2011 17:01:33 -0400

=== debian/rules ===
#!/usr/bin/make -f

# workaround to avoid calling Scratchbox python2.3
PATH := /usr/bin:$(PATH)
export PATH
SBOX_REDIRECT_IGNORE = /usr/bin/python
export SBOX_REDIRECT_IGNORE

# Allow to find debhelper7 on Maemo
# Install from Extras repository
PATH := /usr/bin/dh7:$(PATH)
export PATH

%:
	dh --with quilt --buildsystem=cmake --parallel $@

LDFLAGS="-Wl,--reduce-memory-overheads"

# Python versions
PYVERSIONS=$(shell pyversions -v -r)
DEFAULT_PY=$(shell pyversions -v -d)
LIBPYSIDE_SOVERSION=1.0

#### CONFIGURE ####

override_dh_auto_configure: $(PYVERSIONS:%=override_dh_auto_configure_dbg-%) $(PYVERSIONS:%=override_dh_auto_configure-%)

override_dh_auto_configure_dbg-%:
	mkdir -p build-$*-dbg
	dh_auto_configure --builddirectory=build-$*-dbg -- \
	-DENABLE_MAEMO=1 \
	-DCMAKE_VERBOSE_MAKEFILE=OFF \
	-DCMAKE_BUILD_TYPE:STRING="Debug" \
	-DCMAKE_SKIP_RPATH=true \
	-DCMAKE_USE_PYTHON_VERSION="$*-dbg;$*_d;$*" \
	-DUSE_XVFB=true \
	-DPYTHON_BASENAME=python$*-dbg

override_dh_auto_configure-%:
	mkdir -p build-$*
	dh_auto_configure --builddirectory=build-$* -- \
	-DENABLE_MAEMO=1 \
	-DCMAKE_VERBOSE_MAKEFILE=OFF \
	-DCMAKE_BUILD_TYPE:STRING="Release" \
	-DCMAKE_SKIP_RPATH=true \
	-DCMAKE_USE_PYTHON_VERSION="$*" \
	-DUSE_XVFB=true \
	-DPYTHON_BASENAME=python$* \
	-DDEFAULT_PYTHON_BASENAME=python${DEFAULT_PY}

#### BUILD ####

override_dh_auto_build: $(PYVERSIONS:%=override_dh_auto_build_dbg-%) $(PYVERSIONS:%=override_dh_auto_build-%)

override_dh_auto_build_dbg-%:
	dh_auto_build --builddirectory=build-$*-dbg

override_dh_auto_build-%:
	dh_auto_build --builddirectory=build-$*

#### INSTALL ####

override_dh_auto_install: $(PYVERSIONS:%=override_dh_auto_install_dbg-%) $(PYVERSIONS:%=override_dh_auto_install-%)

override_dh_auto_install_dbg-%:
	dh_auto_install --builddirectory=build-$*-dbg --destdir=debian/tmp-dbg

override_dh_auto_install-%:
	dh_auto_install --builddirectory=build-$*

#### STRIP ####
override_dh_strip:
	dh_strip --dbg-package=python-pyside-dbg --exclude=-dbg.so --exclude=_d.so

#### TEST ####
override_dh_auto_test: $(PYVERSIONS:%=override_dh_auto_test_dbg-%) $(PYVERSIONS:%=override_dh_auto_test-%)

override_dh_auto_test_dbg-%:
	# Don't be blocking.
	- dh_auto_test --builddirectory=build-$*-dbg

override_dh_auto_test-%:
	# Don't be blocking.
	- dh_auto_test --builddirectory=build-$*

#### CLEAN ####
override_dh_auto_clean:
	rm -rf build-*
	cd tests; rm -Rf *.pyc */*.pyc */*/*.pyc */*/*/*.pyc
	rm -rf debian/tmp-dbg
	rm -f debian/libpyside${LIBPYSIDE_SOVERSION}.symbols
	rm -f debian/libpyside${LIBPYSIDE_SOVERSION}.symbols-py*

#### DEBIAN INSTALL ####

override_dh_install: override_dh_install_3

override_dh_install_1:
	# Move the debug .so's right in place
#	$(shell rename 's/(debian\/tmp-dbg\/)(.*)\.so(.*)$$/debian\/tmp\/$$2_d.so$$3/'\
#	             debian/tmp-dbg/usr/lib/python*/*-packages/PySide/*.so)
	$(shell for i in debian/tmp-dbg/usr/lib/python*/*-packages/PySide/*.so; do mv $$i $${i/.so/_d.so}; done)
	$(shell mv debian/tmp-dbg/usr/lib/python*/*-packages/PySide/*_d.so \
			debian/tmp/usr/lib/python*/*-packages/PySide/)


#	$(shell rename 's/(debian\/tmp-dbg\/)(.*)\.so(.*)$$/debian\/tmp\/$$2.so$$3/'\
#	             debian/tmp-dbg/usr/lib/*.so*)
	$(shell mv debian/tmp-dbg/usr/lib/*.so* debian/tmp/usr/lib)

	# Setup the default version symbolic links
	$(shell ln -s libpyside-python${DEFAULT_PY}.so.${LIBPYSIDE_SOVERSION} \
	             debian/tmp/usr/lib/libpyside${LIBPYSIDE_SOVERSION}.so)
	$(shell ln -s libpyside${LIBPYSIDE_SOVERSION}.so debian/tmp/usr/lib/libpyside.so)

override_dh_install_2: override_dh_install_1
	# Do the legacy install for the rest
	dh_install --list-missing

override_dh_install_3: override_dh_install_2
	# Move the debug library to the correct package.
#	$(shell rename 's/(debian\/libpyside${LIBPYSIDE_SOVERSION}\/)(.*)-dbg\.so(.*)$$/debian\/python-pyside-dbg\/$$2-dbg.so$$3/' \
#	              debian/libpyside${LIBPYSIDE_SOVERSION}/usr/lib/*-dbg.so*)
	$(shell mv debian/libpyside${LIBPYSIDE_SOVERSION}/usr/lib/*-dbg.so* debian/python-pyside-dbg/usr/lib)

	# Move the debug cmake files to the correct package
	#
#	$(shell rename 's/(debian\/libpyside-dev\/)(.*)-dbg\.cmake/debian\/python-pyside-dbg\/$$2-dbg.cmake/'\
#	              debian/tmp-dbg/usr/lib/cmake/PySide-*/*-dbg.cmake)
	$(shell mkdir -p debian/python-pyside-dbg/usr/lib/cmake/PySide-1.0.3)
	$(shell mv debian/tmp-dbg/usr/lib/cmake/PySide-1.0.3/*-dbg.cmake debian/python-pyside-dbg/usr/lib/cmake/PySide-1.0.3)

override_dh_gencontrol:
	debian/dh_pycmakedeps --modules-root=PySide/
	# Force versioning for libpyside1.0 and libshiboken1.0 dependencies in PySide modules
	# The command below uses info from debian/shlibs.local, and will force dpkg to pull
	# updated versions of the libs above. This is not a ideal solution, but for the
	# time being it will do
	dh_shlibdeps debian/tmp/usr/lib/python${DEFAULT_PY}/site-packages/PySide/*.so
	dh_gencontrol

## pyside 1.0.3-1maemo3

=== tests/QtNetwork/CMakeLists.txt ===
PYSIDE_TEST(bug_446.py)
PYSIDE_TEST(basic_auth_test.py)
PYSIDE_TEST(accessManager_test.py)
PYSIDE_TEST(http_test.py)
PYSIDE_TEST(tcpserver_test.py)
PYSIDE_TEST(udpsocket_test.py)
PYSIDE_TEST(qipv6address_test.py)

=== tests/QtUiTools/CMakeLists.txt ===
PYSIDE_TEST(bug_360.py)
PYSIDE_TEST(bug_376.py)
PYSIDE_TEST(bug_392.py)
PYSIDE_TEST(bug_426.py)
PYSIDE_TEST(bug_552.py)
PYSIDE_TEST(bug_797.py)
PYSIDE_TEST(uiloader_test.py)
PYSIDE_TEST(ui_test.py)

=== tests/QtWebKit/CMakeLists.txt ===
PYSIDE_TEST(bug_448.py)
PYSIDE_TEST(bug_694.py)
PYSIDE_TEST(bug_803.py)
PYSIDE_TEST(webpage_test.py)
PYSIDE_TEST(webview_test.py)
PYSIDE_TEST(webframe_test.py)

=== debian/changelog ===
pyside (1.0.3-1maemo3) unstable; urgency=low

  * Fixes: Bug #908

 -- Willer Moreira <willer.moreira@indt.org.br>  Mon, 04 Jun 2011 11:58:54 -0400

=== debian/control ===
Source: pyside
Section: python
Priority: optional
Maintainer: PyMaemo Team <pymaemo-developers@garage.maemo.org>
XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper7, cmake (>= 2.6.0), quilt, dpkg-dev (>= 1.14.25),
	python-all-dev (>= 2.3.5-11), python-all-dbg (>= 2.3.5-11), python-support (>= 0.3.9),
	libqt4-dev (>= 4.7), libqt4-phonon (>= 4.7),
	shiboken (>= 1.0.3), shiboken-dbg (>= 1.0.3),
	generatorrunner (>= 0.6.10), libshiboken-dev (>= 1.0.3),
	libgenrunner-dev (>= 0.6.10)
Standards-Version: 3.8.4
XS-Python-Version: >= 2.5
Vcs-Svn: svn://svn.debian.org/python-modules/packages/pyside/trunk/
Vcs-Browser: http://svn.debian.org/wsvn/python-modules/packages/pyside/?op=log
Homepage: http://www.pyside.org/

Package: python-pyside
Architecture: all
Provides: pyside-qt4
Replaces: pyside-qt4 (<< 0.4.2-1maemo8)
Conflicts: pyside-qt4 (<< 0.4.2-1maemo8)
Depends: ${shlibs:Depends}, ${misc:Depends},
	 python-pyside.phonon (>= ${binary:Version}),
	 python-pyside.qtcore (>= ${binary:Version}),
	 python-pyside.qtgui (>= ${binary:Version}),
	 python-pyside.qtdeclarative (>= ${binary:Version}),
	 python-pyside.qtmaemo5 (>= ${binary:Version}),
	 python-pyside.qtmultimedia (>= ${binary:Version}),
	 python-pyside.qtnetwork (>= ${binary:Version}),
	 python-pyside.qtopengl (>= ${binary:Version}),
	 python-pyside.qtscript (>= ${binary:Version}),
	 python-pyside.qtsql (>= ${binary:Version}),
	 python-pyside.qtsvg (>= ${binary:Version}),
	 python-pyside.qtwebkit (>= ${binary:Version}),
	 python-pyside.qtxml (>= ${binary:Version}),
	 python-pyside.qtxmlpatterns (>= ${binary:Version})
Description: Python bindings for Qt4 (big metapackage)
 Python bindings for Qt4 framework. This is a metapackage for all modules.

Package: pyside-qt4
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, python-pyside (>= ${binary:Version})
Description: Transitional package for python-pyside
 This is a transitional package for python-pyside.

Package: python-pyside-dbg
Architecture: any
Provides: pyside-qt4-dbg
Replaces: pyside-qt4-dbg (<< 0.4.2-1maemo8)
Conflicts: pyside-qt4-dbg (<< 0.4.2-1maemo8)
Priority: extra
Section: debug
Depends: ${shlibs:Depends}, ${misc:Depends}, shiboken-dbg (>= 1.0.3),
	 python-pyside.phonon (>= ${binary:Version}) |
	 python-pyside.qtcore (>= ${binary:Version}) |
	 python-pyside.qtdeclarative (>= ${binary:Version}) |
	 python-pyside.qtgui (>= ${binary:Version}) |
	 python-pyside.qtmaemo5 (>= ${binary:Version}) |
	 python-pyside.qtnetwork (>= ${binary:Version}) |
	 python-pyside.qtopengl (>= ${binary:Version}) |
	 python-pyside.qtscript (>= ${binary:Version}) |
	 python-pyside.qtsql (>= ${binary:Version}) |
	 python-pyside.qtsvg (>= ${binary:Version}) |
	 python-pyside.qtxmlpatterns (>= ${binary:Version}) |
	 python-pyside.qtwebkit (>= ${binary:Version}) |
	 python-pyside.qtxml (>= ${binary:Version}) |
	 libpyside1.0 (>= ${binary:Version})
Description: Python bindings for Qt 4 (debug symbols)
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the debugging symbols.

Package: pyside-qt4-dbg
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-pyside-dbg (= ${binary:Version})
Description: Transitional package for python-pyside-dbg
 This is a transitional package for python-pyside-dbg.

Package: libpyside1.0
Architecture: any
Conflicts: libpyside0.4
Replaces: libpyside0.4
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Description: Python bindings for Qt 4 (base files)
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains base files used by all modules.

Package: libpyside-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends}, libpyside1.0 (=${binary:Version}), libqt4-dev (>= 4.5.0)
Replaces: libpyside0.3 (<< 0.4.0)
Description: Python bindings for Qt 4 (development files)
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides the development headers for the libpyside library.

Package: python-pyside.qtcore
Architecture: any
Provides: pyside-qt4-core, ${python:Provides}
Replaces: pyside-qt4-core (<< 0.4.2-1maemo8)
Conflicts: pyside-qt4-core (<< 0.4.2-1maemo8)
Depends: ${pycmakedeps:Depends}, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Description: Qt 4 core module - Python bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the QtCore module.

Package: pyside-qt4-core
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-pyside.qtcore (= ${binary:Version})
Description: Transitional package for python-pyside.qtcore
 This is a transitional package for python-pyside.qtcore.

Package: python-pyside.qtdeclarative
Architecture: any
Depends: ${pycmakedeps:Depends}, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Provides: ${python:Provides}
Description: Qt 4 Declarative module - Python bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the QtDeclarative module.

Package: python-pyside.qtgui
Architecture: any
Provides: pyside-qt4-gui, ${python:Provides}
Replaces: pyside-qt4-gui (<< 0.4.2-1maemo8)
Conflicts: pyside-qt4-gui (<< 0.4.2-1maemo8)
Depends: ${pycmakedeps:Depends}, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Description: Qt 4 GUI module - Python bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the QtGui module.

Package: pyside-qt4-gui
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-pyside.qtgui (= ${binary:Version})
Description: Transitional package for python-pyside.qtgui
 This is a transitional package for python-pyside.qtgui.


Package: python-pyside.qtmaemo5
Architecture: any
Provides: pyside-qt4-maemo5, ${python:Provides}
Replaces: pyside-qt4-maemo5 (<< 0.4.2-1maemo8)
Conflicts: pyside-qt4-maemo5 (<< 0.4.2-1maemo8)
Depends: ${pycmakedeps:Depends}, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Description: Qt 4 Maemo5 module - Python bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the QtMaemo5 module.

Package: pyside-qt4-maemo5
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-pyside.qtmaemo5 (= ${binary:Version})
Description: Transitional package for python-pyside.qtmaemo5
 This is a transitional package for python-pyside.qtmaemo5.


Package: python-pyside.qtmultimedia
Architecture: any
Provides: pyside-qt4-multimedia, ${python:Provides}
Replaces: pyside-qt4-multimedia (<< 0.4.2-1maemo8)
Conflicts: pyside-qt4-multimedia (<< 0.4.2-1maemo8)
Depends: ${pycmakedeps:Depends}, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Description: Qt 4 Multimedia module - Python bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the QtMultimedia module.

Package: pyside-qt4-multimedia
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-pyside.qtmultimedia (= ${binary:Version})
Description: Transitional package for python-pyside.qtmultimedia
 This is a transitional package for python-pyside.qtmultimedia.

Package: python-pyside.qtnetwork
Architecture: any
Provides: pyside-qt4-network, ${python:Provides}
Replaces: pyside-qt4-network (<< 0.4.2-1maemo8)
Conflicts: pyside-qt4-network (<< 0.4.2-1maemo8)
Depends: ${pycmakedeps:Depends}, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Description: Qt 4 network module - Python bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the QtNetwork module.

Package: pyside-qt4-network
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-pyside.qtnetwork (= ${binary:Version})
Description: Transitional package for python-pyside.qtnetwork
 This is a transitional package for python-pyside.qtnetwork.

Package: python-pyside.qtopengl
Architecture: any
Provides: pyside-qt4-opengl, ${python:Provides}
Replaces: pyside-qt4-opengl (<< 0.4.2-1maemo8)
Conflicts: pyside-qt4-opengl (<< 0.4.2-1maemo8)
Depends: ${pycmakedeps:Depends}, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Description: Qt 4 OpenGL module - Python bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the QtOpenGL module.
 .
 OpenGL is a standard API for rendering 3D graphics. OpenGL only deals with 3D
 rendering and provides little or no support for GUI programming issues.

Package: pyside-qt4-opengl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-pyside.qtopengl (= ${binary:Version})
Description: Transitional package for python-pyside.qtopengl
 This is a transitional package for python-pyside.qtopengl.

Package: python-pyside.phonon
Architecture: any
Provides: pyside-qt4-phonon, ${python:Provides}
Replaces: pyside-qt4-phonon (<< 0.4.2-1maemo8)
Conflicts: pyside-qt4-phonon (<< 0.4.2-1maemo8)
Depends: ${pycmakedeps:Depends}, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Description: Qt 4 Phonon module - Python bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the Phonon multimedia module.

Package: pyside-qt4-phonon
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-pyside.phonon (= ${binary:Version})
Description: Transitional package for python-pyside.phonon
 This is a transitional package for python-pyside.phonon.

Package: python-pyside.qtscript
Architecture: any
Provides: pyside-qt4-script, ${python:Provides}
Replaces: pyside-qt4-script (<< 0.4.2-1maemo8)
Conflicts: pyside-qt4-script (<< 0.4.2-1maemo8)
Depends: ${pycmakedeps:Depends}, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Description: Qt 4 script module - Python bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the QtScript and QtScriptTools
 modules.

Package: pyside-qt4-script
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-pyside.qtscript (= ${binary:Version})
Description: Transitional package for python-pyside.qtscript
 This is a transitional package for python-pyside.qtscript.

Package: python-pyside.qtsql
Architecture: any
Provides: pyside-qt4-sql, ${python:Provides}
Replaces: pyside-qt4-sql (<< 0.4.2-1maemo8)
Conflicts: pyside-qt4-sql (<< 0.4.2-1maemo8)
Depends: ${pycmakedeps:Depends}, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Description: Qt 4 SQL module - Python bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the QtSql module.

Package: pyside-qt4-sql
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-pyside.qtsql (= ${binary:Version})
